import request from '@/utils/request'

// 路线管理汇总
export function listRoute(data) {
  return request({
    url: '/sfa/route/routeSumList',
    method: 'post',
    data: data
  })
}

// 新增线路
export function postAddRoute(query) {
  return request({
    url: '/sfa/route/addRoute',
    method: 'post',
    params: query
  })
}
// 查询新增线路人员列表接口
export function getSelectUserRouteList(query) {
  return request({
    url: '/sfa/route/selectUserRouteList',
    method: 'get',
    params: query
  })
}
// 线路交换
export function postExchangeRoute(query) {
  return request({
    url: '/sfa/route/exchangeRoute',
    method: 'post',
    params: query
  })
}
// 线路编辑
export function getEditRouteList(query) {
  return request({
    url: '/sfa/route/editRouteList',
    method: 'post',
    params: query
  })
}
// 添加拜访门店列表
export function getSelectVisitStoreList(query) {
  return request({
    url: '/sfa/route/selectVisitStoreList',
    method: 'get',
    params: query
  })
}
// 添加拜访门店
export function postAddRouteStore(query) {
  return request({
    url: '/sfa/route/addRouteStore',
    method: 'get',
    params: query
  })
}
// 删除人员排线
export function postDeleteUserRoute(query) {
  return request({
    url: '/sfa/route/deleteUserRoute',
    method: 'get',
    params: query
  })
}
// 上移、下移
export function postMoveUserRoute(query) {
  return request({
    url: '/sfa/route/moveUserRoute',
    method: 'post',
    params: query
  })
}
// 拜访频次修改
export function postUpdatFrequence(query) {
  return request({
    url: '/sfa/route/updatFrequence',
    method: 'post',
    params: query
  })
}
// 拜访生效时间修改
export function postUpdatStartTime(query) {
  return request({
    url: '/sfa/route/updatStartTime',
    method: 'post',
    params: query
  })
}
